### Hierarchy

- unknown
  - GetMyOfferReply

## Index

### Constructors

- constructor

### Methods

- clearOffer
- getOffer
- hasOffer
- serializeBinary
- setOffer
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMyOfferReply(): GetMyOfferReply

- Inherited from jspb.Message.constructor

  #### Returns GetMyOfferReply

## Methods

### clearOffer

- clearOffer(): GetMyOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1369

  #### Returns GetMyOfferReply

### getOffer

- getOffer(): undefined | OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1366

  #### Returns undefined | OfferInfo

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1368

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1371

  #### Returns Uint8Array

### setOffer

- setOffer(value?: OfferInfo ): GetMyOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1367

  #### Parameters

  - ##### Optional value: OfferInfo

  #### Returns GetMyOfferReply

### toObject

- toObject(includeInstance?: boolean): GetMyOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1372

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMyOfferReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1375

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOfferReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOfferReply, reader: BinaryReader): GetMyOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1376

  #### Parameters

  - ##### message: GetMyOfferReply

  - ##### reader: BinaryReader

  #### Returns GetMyOfferReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOfferReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1374

  #### Parameters

  - ##### message: GetMyOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMyOfferReply ): GetMyOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1373

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOfferReply

  #### Returns GetMyOfferReply . AsObject

Generated using TypeDoc